MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031632Open CASCADE[OCCT] OCCT:DRAWpublic2020-06-26 09:512020-07-04 12:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031632: Draw Harness - handle 3d mouse Raw HID input on Windows
DescriptionIt is desired supporting 3d mouse input in Draw Harness.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507closedbugmaster Open CASCADE Visualization - introduce AIS_ViewController 

-  Notes
(0092749)
git (administrator)
2020-06-26 09:57

Branch CR31632 has been created by kgv.

SHA-1: c0086c8603dbd1ab238e56a38ef524ca470aedc4


Detailed log of new commits:

Author: kgv
Date: Fri Jun 26 09:58:50 2020 +0300

    0031632: Draw Harness - handle 3d mouse Raw HID input on Windows
    
    WNT_HIDSpaceMouse - added auxiliary class for processing 3d mouse Raw HID input.
    AIS_ViewController::Update3dMouse() - added default processor for 3d mouse input event.
    ViewerTest now redirects WM_INPUT to AIS_ViewController::Update3dMouse().
    Aspect_VKey enumeration has been extended by 3D view buttons.
    WNT_Window::RegisterRawInputDevices() has beend added as a small wrapper
    over WinAPI RegisterRawInputDevices() for common HID input devices.
(0092777)
git (administrator)
2020-06-26 19:35

Branch CR31632 has been updated forcibly by kgv.

SHA-1: 44d2d0a854a1d7c0ec193dbc0b653fc1d99e8c94
(0092778)
git (administrator)
2020-06-26 20:11

Branch CR31632 has been updated forcibly by kgv.

SHA-1: 690beac538637e49536d39764d31a4b6992c6049
(0092779)
kgv (developer)
2020-06-26 20:12

Patch is ready for review.
(0092780)
git (administrator)
2020-06-26 20:28

Branch CR31632 has been updated forcibly by kgv.

SHA-1: 142b1b574d96854dbfec05ee57323aefc3c123ff
(0092781)
git (administrator)
2020-06-26 20:55

Branch CR31632 has been updated forcibly by kgv.

SHA-1: a57daca320ffa7577bd48003caa7de9d6c2c9bde
(0092832)
osa (developer)
2020-06-29 10:47

The patch was reviewed without remarks
(0092833)
git (administrator)
2020-06-29 10:54

Branch CR31632 has been updated forcibly by kgv.

SHA-1: 97258f56b56e69ea53453285d66d60a2d910b0d7
(0092836)
git (administrator)
2020-06-29 11:30

Branch CR31632 has been updated forcibly by kgv.

SHA-1: 4d2b9ea537bf15075ed5f83bf7b84c5471b764dc
(0092944)
bugmaster (administrator)
2020-07-04 12:13

Combination -
OCCT branch : IR-2020-07-03
master SHA - 8f5760bc1679b45691fe8ac5fff1a4e978524009
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-03 SHA - 715997b86e7db13b7a7ddd1f26bab717621d84ec
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17174.900000000107 / 17168.64000000016 [+0.04%]
Products
Total CPU difference: 11226.760000000077 / 11202.250000000082 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 18704.34375 / 18712.96875 [-0.05%]
Products
Total CPU difference: 13043.15625 / 13084.109375 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092967)
git (administrator)
2020-07-04 12:52

Branch CR31632 has been deleted by inv.

SHA-1: 4d2b9ea537bf15075ed5f83bf7b84c5471b764dc

- Related Changesets
occt: master d6fbb2ab
Timestamp: 2020-06-26 06:58:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031632: Draw Harness - handle 3d mouse Raw HID input on Windows

WNT_HIDSpaceMouse - added auxiliary class for processing 3d mouse Raw HID input.
AIS_ViewController::Update3dMouse() - added default processor for 3d mouse input event.
ViewerTest now redirects WM_INPUT to AIS_ViewController::Update3dMouse().
Aspect_VKey enumeration has been extended by 3D view buttons.
WNT_Window::RegisterRawInputDevices() has beend added as a small wrapper
over WinAPI RegisterRawInputDevices() for common HID input devices.

AIS_ViewCube now stores animation duration within AIS_AnimationCamera instead of dedicated duplicating class property.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.hxx Diff ] File ]
mod - src/Aspect/Aspect_VKey.hxx Diff ] File ]
mod - src/Aspect/Aspect_VKeySet.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
add - src/WNT/WNT_HIDSpaceMouse.cxx Diff ] File ]
add - src/WNT/WNT_HIDSpaceMouse.hxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-26 09:51 kgv New Issue
2020-06-26 09:51 kgv Assigned To => kgv
2020-06-26 09:57 git Note Added: 0092749
2020-06-26 19:35 git Note Added: 0092777
2020-06-26 20:11 git Note Added: 0092778
2020-06-26 20:12 kgv Note Added: 0092779
2020-06-26 20:12 kgv Assigned To kgv => osa
2020-06-26 20:12 kgv Status new => resolved
2020-06-26 20:16 kgv Relationship added child of 0030507
2020-06-26 20:16 kgv Relationship added related to 0030457
2020-06-26 20:28 git Note Added: 0092780
2020-06-26 20:55 git Note Added: 0092781
2020-06-29 10:47 osa Note Added: 0092832
2020-06-29 10:47 osa Assigned To osa => bugmaster
2020-06-29 10:47 osa Status resolved => reviewed
2020-06-29 10:54 git Note Added: 0092833
2020-06-29 11:30 git Note Added: 0092836
2020-07-04 12:13 bugmaster Note Added: 0092944
2020-07-04 12:13 bugmaster Status reviewed => tested
2020-07-04 12:23 bugmaster Changeset attached => occt master d6fbb2ab
2020-07-04 12:23 bugmaster Status tested => verified
2020-07-04 12:23 bugmaster Resolution open => fixed
2020-07-04 12:30 bugmaster Test case number => Not required
2020-07-04 12:52 git Note Added: 0092967


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker